%define upstream_name    Log-Report-Optional
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Administer one text-domain
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(String::Print) >= 0.130.0
BuildRequires: perl(Test::More) >= 0.860.0
BuildArch:  noarch

%description
This module collects a few functions and definitions which are shared
between different components in the Log::Report infrastructure. They should
not be needed for end-user applications, although this man-page may contain
some useful background information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-2.mga6
+ Revision: 1029435
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 1.20.0-1.mga6
+ Revision: 953226
- update to 1.02

* Fri Feb 05 2016 umeabot <umeabot> 1.10.0-4.mga6
+ Revision: 936555
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 748951
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 685273
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 1.10.0-1.mga5
+ Revision: 602929
- update to 1.01

* Wed Feb 05 2014 shlomif <shlomif> 1.0.0-1.mga5
+ Revision: 583291
- imported package perl-Log-Report-Optional


* Wed Feb 05 2014 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
